%define upstream_name    Catalyst-Plugin-Unicode
%define upstream_version 0.93

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:	Unicode aware Catalyst
License:	Artistic/GPL
Group:		Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Catalyst::Runtime)
BuildRequires:	perl(Test::WWW::Mechanize::Catalyst)
BuildRequires:	perl(Test::use::ok)
BuildRequires:	perl(IO::Scalar)
BuildRequires:	perl(MRO::Compat) >= 0.10
BuildArch:	noarch


%{?perl_default_filter}

%description
On request, decodes all params from UTF-8 octets into a sequence of
logical characters. On response, encodes body into UTF-8 octets.


%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor --skipdeps
%make

%check
%__make test

%install
%makeinstall_std

%files
%doc Changes META.yml
%{_mandir}/*/*
%{perl_vendorlib}/Catalyst


%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.930.0-9.mga6
+ Revision: 1023396
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.930.0-8.mga6
+ Revision: 949922
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.930.0-7.mga5
+ Revision: 790609
- Rebuild to potentially add missing dependencies
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.930.0-5.mga5
+ Revision: 732895
- add exclude

  + umeabot <umeabot>
    - Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.930.0-3.mga4
+ Revision: 509758
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.930.0-2.mga3
+ Revision: 364093
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 27 2011 jquelin <jquelin> 0.930.0-1.mga1
+ Revision: 41837
- mageia rebuild
- imported package perl-Catalyst-Plugin-Unicode

